<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<launchConfiguration type="com.crt.dsfdebug.crtmcu.launchType">
<stringAttribute key=".gdbinit" value=""/>
<stringAttribute key="com.crt.ctrlcenter.OFSemuDetails" value="LinkServer"/>
<booleanAttribute key="com.crt.ctrlcenter.crtInit" value="true"/>
<stringAttribute key="com.crt.ctrlcenter.currentWireType" value="SWD"/>
<booleanAttribute key="com.crt.ctrlcenter.mainBreakIsHardware" value="true"/>
<stringAttribute key="com.crt.ctrlcenter.targetbase" value="NXP LPC17xx (*)"/>
<stringAttribute key="com.crt.ctrlcenter.targetconfig" value="&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;&#10;&lt;config chipvendor=&quot;NXP&quot; genname=&quot;NXP LPC17xx&quot; id=&quot;config.gdb.stub&quot;&gt;&#10;&lt;parameters&gt;&#10;&lt;params&gt;&#10;&lt;param default=&quot;true&quot; description=&quot;Vector catch&quot; name=&quot;Vector catch&quot; value=&quot;false&quot; var=&quot;vector.catch&quot;&gt;&#10;&lt;enum value=&quot;True&quot;/&gt;&#10;&lt;enum value=&quot;False&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;/params&gt;&#10;&lt;initValue value=&quot;false&quot; var=&quot;vector.catch&quot;/&gt;&#10;&lt;params&gt;&#10;&lt;param default=&quot;On&quot; description=&quot;Enablement of semihosting support&quot; name=&quot;Semihosting support&quot; value=&quot;On&quot; var=&quot;internal.semihost&quot;&gt;&#10;&lt;enum value=&quot;On&quot;/&gt;&#10;&lt;enum value=&quot;Off&quot;/&gt;&#10;&lt;enum value=&quot;Auto&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;/params&gt;&#10;&lt;params&gt;&#10;&lt;param default=&quot;&quot; description=&quot;Maximum wire speed in KHz (leave blank to Auto-detect). Not all values are supported by all targets&quot; name=&quot;Maximum wire speed&quot; probe=&quot;^(?!Redlink Server|LinkServer$).*$&quot; type=&quot;nullString&quot; value=&quot;&quot; var=&quot;emu.speed&quot;&gt;&#10;&lt;enum value=&quot;&quot;/&gt;&#10;&lt;enum value=&quot;30000&quot;/&gt;&#10;&lt;enum value=&quot;15000&quot;/&gt;&#10;&lt;enum value=&quot;10000&quot;/&gt;&#10;&lt;enum value=&quot;7500&quot;/&gt;&#10;&lt;enum value=&quot;6000&quot;/&gt;&#10;&lt;enum value=&quot;5000&quot;/&gt;&#10;&lt;enum value=&quot;3750&quot;/&gt;&#10;&lt;enum value=&quot;3000&quot;/&gt;&#10;&lt;enum value=&quot;2500&quot;/&gt;&#10;&lt;enum value=&quot;2000&quot;/&gt;&#10;&lt;enum value=&quot;1500&quot;/&gt;&#10;&lt;enum value=&quot;1250&quot;/&gt;&#10;&lt;enum value=&quot;1200&quot;/&gt;&#10;&lt;enum value=&quot;1000&quot;/&gt;&#10;&lt;enum value=&quot;750&quot;/&gt;&#10;&lt;enum value=&quot;600&quot;/&gt;&#10;&lt;enum value=&quot;500&quot;/&gt;&#10;&lt;enum value=&quot;400&quot;/&gt;&#10;&lt;enum value=&quot;300&quot;/&gt;&#10;&lt;enum value=&quot;250&quot;/&gt;&#10;&lt;enum value=&quot;200&quot;/&gt;&#10;&lt;enum value=&quot;150&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;/params&gt;&#10;&lt;params&gt;&#10;&lt;param content=&quot;serverScript&quot; description=&quot;Connect script&quot; name=&quot;Connect Script&quot; probe=&quot;(?i)(Redlink\s+Server|CMSIS-DAP|LinkServer)&quot; required=&quot;false&quot; type=&quot;nullString&quot; var=&quot;internal.connect.script&quot;/&gt;&#10;&lt;param content=&quot;serverScript&quot; description=&quot;Reset script&quot; name=&quot;Reset Script&quot; probe=&quot;(?i)(Redlink\s+Server|CMSIS-DAP|LinkServer)&quot; required=&quot;false&quot; type=&quot;nullString&quot; value=&quot;&quot; var=&quot;internal.reset.script&quot;/&gt;&#10;&lt;param default=&quot;&quot; description=&quot;Select the reset handling type for this debug connection&quot; name=&quot;Reset Handling&quot; probe=&quot;(?i)(Redlink\s+Server|CMSIS-DAP|LinkServer)&quot; value=&quot;VECTRESET&quot; var=&quot;internal.resethandling&quot;&gt;&#10;&lt;enum value=&quot;Default&quot;/&gt;&#10;&lt;enum value=&quot;SYSRESETREQ&quot;/&gt;&#10;&lt;enum value=&quot;VECTRESET&quot;/&gt;&#10;&lt;enum value=&quot;SOFT&quot;/&gt;&#10;&lt;enum value=&quot;&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;param default=&quot;&quot; description=&quot;Select the reset handling type for this debug connection before running a flash driver&quot; name=&quot;Flash Driver Reset Handling&quot; probe=&quot;(?i)(Redlink\s+Server|CMSIS-DAP|LinkServer)&quot; value=&quot;&quot; var=&quot;flash.driver.reset&quot;&gt;&#10;&lt;enum value=&quot;Default&quot;/&gt;&#10;&lt;enum value=&quot;VECTRESET&quot;/&gt;&#10;&lt;enum value=&quot;SYSRESETREQ&quot;/&gt;&#10;&lt;enum value=&quot;SOFT&quot;/&gt;&#10;&lt;enum value=&quot;&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;param default=&quot;&quot; description=&quot;Additional options&quot; name=&quot;Additional options&quot; value=&quot;&quot; var=&quot;misc.options&quot;/&gt;&#10;&lt;param default=&quot;2&quot; description=&quot;Set stub debug level (1-4)&quot; name=&quot;Debug Level &quot; value=&quot;2&quot; var=&quot;debug.level&quot;/&gt;&#10;&lt;param default=&quot;False&quot; description=&quot;when True, attach to running target only (without loading image)&quot; name=&quot;Attach only&quot; required=&quot;true&quot; value=&quot;False&quot; var=&quot;attach&quot;&gt;&#10;&lt;enum value=&quot;True&quot;/&gt;&#10;&lt;enum value=&quot;False&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;param default=&quot;True&quot; description=&quot;Deprecated. Functionality superseded by &amp;apos;Attach only&amp;apos;&quot; name=&quot;Load image&quot; type=&quot;boolean&quot; value=&quot;True&quot; var=&quot;load&quot;&gt;&#10;&lt;enum value=&quot;True&quot;/&gt;&#10;&lt;enum value=&quot;False&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;param default=&quot;cont&quot; description=&quot;Run, continue or (do nothing)&quot; name=&quot;Run/Continue image&quot; value=&quot;cont&quot; var=&quot;run&quot;&gt;&#10;&lt;enum value=&quot;run&quot;/&gt;&#10;&lt;enum value=&quot;cont&quot;/&gt;&#10;&lt;enum value=&quot;&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;param default=&quot;off&quot; description=&quot;If on is specified, make the debugger treat unknown memory as non-existent and refuse \naccesses to such memory. If off is specified, treat the memory as RAM&quot; name=&quot;Memory Access Checking&quot; value=&quot;off&quot; var=&quot;mem.access&quot;&gt;&#10;&lt;enum value=&quot;on&quot;/&gt;&#10;&lt;enum value=&quot;off&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;param default=&quot;cont&quot; description=&quot;choose the disconnect behavior for the target&quot; name=&quot;Disconnect behavior&quot; value=&quot;cont&quot; var=&quot;ondisconnect&quot;&gt;&#10;&lt;enum value=&quot;nochange&quot;/&gt;&#10;&lt;enum value=&quot;stop&quot;/&gt;&#10;&lt;enum value=&quot;cont&quot;/&gt;&#10;&lt;enum value=&quot;run_cont&quot;/&gt;&#10;&lt;/param&gt;&#10;&lt;param default=&quot;&quot; description=&quot;Command to run before starting the debugger&quot; name=&quot;Pre launch command&quot; value=&quot;&quot; var=&quot;internal.prelaunch.command&quot;/&gt;&#10;&lt;param default=&quot;&quot; description=&quot;Target Wirespeed in Hz&quot; name=&quot;Wirespeed (Hz)&quot; probe=&quot;(?i)(Redlink\s+Server|CMSIS-DAP|LinkServer)&quot; value=&quot;&quot; var=&quot;internal.wirespeed&quot;/&gt;&#10;&lt;/params&gt;&#10;&lt;initvalue value=&quot;VECTRESET&quot; var=&quot;internal.resethandling&quot;/&gt;&#10;&lt;params&gt;&#10;&lt;param default=&quot;SWD&quot; description=&quot;Internal wiretypes&quot; mode=&quot;hidden&quot; name=&quot;Wiretype&quot; probe=&quot;NEVER&quot; value=&quot;SWD*,JTAG&quot; var=&quot;internal.wiretype&quot;/&gt;&#10;&lt;param default=&quot;false&quot; description=&quot;Chip supports SWO&quot; mode=&quot;hidden&quot; name=&quot;Has SWO&quot; probe=&quot;NEVER&quot; value=&quot;true&quot; var=&quot;internal.has_swo&quot;/&gt;&#10;&lt;/params&gt;&#10;&lt;initvalue value=&quot;SWD*,JTAG&quot; var=&quot;internal.wiretype&quot;/&gt;&#10;&lt;initvalue value=&quot;true&quot; var=&quot;internal.has_swo&quot;/&gt;&#10;&lt;/parameters&gt;&#10;&lt;script emulators=&quot;${gdb.stub} -mi -info-emu&quot; silent=&quot;false&quot; swv=&quot;true&quot; type=&quot;init&quot;&gt;set remotetimeout 60000&amp;#x0A;##target_extended_remote##&amp;#x0A;set mem inaccessible-by-default ${mem.access}&amp;#x0A;mon ondisconnect ${ondisconnect}&amp;#x0A;set arm force-mode thumb&amp;#x0A;${load}&lt;/script&gt;&#10;&lt;script silent=&quot;false&quot; type=&quot;run&quot;&gt;${run}&lt;/script&gt;&#10;&lt;/config&gt;&#10;"/>
<intAttribute key="com.crt.ctrlcenter.version" value="5"/>
<stringAttribute key="com.nxp.mcuxpresso.flash.base.address" value="0x0"/>
<booleanAttribute key="com.nxp.mcuxpresso.flash.clear.console" value="true"/>
<booleanAttribute key="com.nxp.mcuxpresso.flash.confirm" value="false"/>
<stringAttribute key="com.nxp.mcuxpresso.flash.erase.algorithm" value="Mass erase"/>
<stringAttribute key="com.nxp.mcuxpresso.flash.executable" value="axf"/>
<stringAttribute key="com.nxp.mcuxpresso.flash.program.action" value="Program"/>
<booleanAttribute key="com.nxp.mcuxpresso.flash.reset.target" value="true"/>
<stringAttribute key="launch.config.handler" value="com.crt.ctrlcenter.launch.CRTLaunchConfigHandler"/>
<stringAttribute key="org.eclipse.cdt.dsf.gdb.DEBUG_NAME" value="arm-none-eabi-gdb"/>
<booleanAttribute key="org.eclipse.cdt.dsf.gdb.DEBUG_ON_FORK" value="false"/>
<booleanAttribute key="org.eclipse.cdt.dsf.gdb.EXTERNAL_CONSOLE" value="false"/>
<stringAttribute key="org.eclipse.cdt.dsf.gdb.GDB_INIT" value=""/>
<booleanAttribute key="org.eclipse.cdt.dsf.gdb.NON_STOP" value="false"/>
<booleanAttribute key="org.eclipse.cdt.dsf.gdb.REVERSE" value="false"/>
<stringAttribute key="org.eclipse.cdt.dsf.gdb.REVERSE_MODE" value="UseSoftTrace"/>
<stringAttribute key="org.eclipse.cdt.dsf.gdb.TRACEPOINT_MODE" value="TP_NORMAL_ONLY"/>
<booleanAttribute key="org.eclipse.cdt.dsf.gdb.UPDATE_THREADLIST_ON_SUSPEND" value="false"/>
<intAttribute key="org.eclipse.cdt.launch.ATTR_BUILD_BEFORE_LAUNCH_ATTR" value="2"/>
<stringAttribute key="org.eclipse.cdt.launch.DEBUGGER_ID" value="gdb"/>
<stringAttribute key="org.eclipse.cdt.launch.DEBUGGER_START_MODE" value="remote"/>
<booleanAttribute key="org.eclipse.cdt.launch.DEBUGGER_STOP_AT_MAIN" value="true"/>
<stringAttribute key="org.eclipse.cdt.launch.DEBUGGER_STOP_AT_MAIN_SYMBOL" value="main"/>
<stringAttribute key="org.eclipse.cdt.launch.PROGRAM_NAME" value="Debug/PWM_GENUINO_CASI.axf"/>
<stringAttribute key="org.eclipse.cdt.launch.PROJECT_ATTR" value="PWM_GENUINO_CASI"/>
<booleanAttribute key="org.eclipse.cdt.launch.PROJECT_BUILD_CONFIG_AUTO_ATTR" value="false"/>
<stringAttribute key="org.eclipse.cdt.launch.PROJECT_BUILD_CONFIG_ID_ATTR" value="com.crt.advproject.config.exe.debug.442655578"/>
<booleanAttribute key="org.eclipse.cdt.launch.use_terminal" value="false"/>
<listAttribute key="org.eclipse.debug.core.MAPPED_RESOURCE_PATHS">
<listEntry value="/PWM_GENUINO_CASI"/>
</listAttribute>
<listAttribute key="org.eclipse.debug.core.MAPPED_RESOURCE_TYPES">
<listEntry value="4"/>
</listAttribute>
<mapAttribute key="org.eclipse.debug.core.preferred_launchers">
<mapEntry key="[debug]" value="com.crt.dsfdebug.dsf.MCULaunch"/>
</mapAttribute>
<stringAttribute key="process_factory_id" value="com.crt.dsfdebug.dsf.override.CRTProcessFactory"/>
</launchConfiguration>
